﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Rocket.Windows.Framework;
using Rocket.Bll;
using Rocket.Bll.Models;

namespace MainForm.ChildControls
{
   public class QuestionDataManager : BaseManager<HandlerQuestion
       , QuestionView
       , QuestionData
       , QuestionDataGridView>
    {
       public QuestionDataManager()
            : this(new HandlerQuestion())
        {
        }

       public QuestionDataManager(HandlerQuestion handerQuestion)
            : base(handerQuestion
            , new QuestionData()
            , new QuestionDataGridView())
        {
        }
    }
}
