﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Rocket.Windows.Framework;
using Rocket.Bll;
using Rocket.Bll.Models;
using Rocket.Data;

namespace MainForm.ChildControls
{
    public class ReaderApplicationManager : BaseManager<HandlerReaderApplication
        , ReaderApplicationView
        , ReaderApplicationFilter
        , ReaderApplicationData
        , ReaderApplicationDataGridView
        , ReaderApplication>
    {
        public ReaderApplicationManager()
            : this(new HandlerReaderApplication())
        {
        }

        public ReaderApplicationManager(HandlerReaderApplication handerReaderApplication)
            : base(handerReaderApplication
            , new ReaderApplicationData()
            , new ReaderApplicationFilter()
            , new ReaderApplicationDataGridView())
        {
        }
    }
}
