﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Rocket.Windows.Framework;
using Rocket.Bll;
using Rocket.Bll.Models;

namespace MainForm.ChildControls
{
    public class ReaderApplicationQuestionManager : BaseManager<HandlerReaderApplicationQuestion
        , ReaderApplicationQuestionView
        , ReaderApplicationQuestionData
        , ReaderApplicationQuestionDataGridView>
    {
       public ReaderApplicationQuestionManager(string appCode)
            : this(appCode
           , new HandlerReaderApplicationQuestion(appCode))
        {
        }

       public ReaderApplicationQuestionManager(string appCode
           , HandlerReaderApplicationQuestion handerQuestion)
            : base(handerQuestion
            , new ReaderApplicationQuestionData()
            , new ReaderApplicationQuestionDataGridView(appCode))
        {
            this.groupBoxMain.Text = "Reader Application Administration";
        }
    }
}
