﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Rocket.Bll.Models
{
    public enum ApplicationTypes : int
    {
        OperationDataManagement,
        TrainingDataManagement,
        ProductionDataManagement
    }

    public enum AnswerValidationCodes
    {
        All = 0,
        Suplier = 1,
        FieldEntry = 5,
        LorryCode = 2,
        SupplierCode = 3,
        BuyerCode = 8,
        SupervisorEntry = 4,
        SellerEntry = 7,
        DataConfirmedCorrectly = 6,
        TestData = 10
    }

    public enum AcceptedAnswerCodes
    {
        TagData,
        ManualEntry,
        SourceCode,
        EmployeeCode,
        NumericInput = 38
    }
}
