﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Linq.Expressions;
//using System.Windows.Forms;

namespace Rocket.Windows.Framework
{
    public interface IGridView<V>
    {
        void LoadData();
        void LoadData<DTO>(Expression<Func<DTO, bool>> filterExpression)
            where DTO: class;
        bool LoadWhenStart
        {
            get;
            set;
        }
        bool HideSearchOption
        {
            get;
            set;
        }
        string GroupBoxName { get; set; }
    }
}
