﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Rocket.Windows.Framework
{
    public partial class ChildForm<V>: BaseForm
    {
        public ChildForm(V parentObjectView)
        {
            InitializeComponent();
            this._ParenetObjectView = parentObjectView;
            this.DataGridViewPlusMain.DataSource = new List<V>() { parentObjectView };
        }

        private V _ParenetObjectView;
        public V ParenetObjectView
        {
            get { return _ParenetObjectView; }
            set { _ParenetObjectView = value; }
        }
    }
}
