﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Windows.Forms;

namespace Rocket.Windows.Framework
{
    public interface IViewContainer
        : ISynchronizeInvoke
        , IComponent
        , IDisposable, IRocketContainer
    {
        BindingSource GetRocketBindingSource();
        void SetRocketBindingSource(ref BindingSource raptorBindingSource);
    }
}
