﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Rocket.Windows.Framework;
using Rocket.Bll;
using Rocket.Bll.Models;

namespace MainForm.ChildControls
{
    public class QuestionDataGridView : BaseGridView<HandlerQuestion
        , QuestionView>
    {
        public QuestionDataGridView()
            :base(new HandlerQuestion())
            {
                SortWith = new Comparison<QuestionView>(delegate(QuestionView x, QuestionView y) { return x.Text.CompareTo(y.Text); });
            }
    }
}
