﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Rocket.Core
{
    public abstract class BaseCommand
    {
        protected BaseCommand successor;
        public void SetSuccessor(BaseCommand successor)
        {
            this.successor = successor;
        }

        public abstract void HandleRequest(int request);
    }
}
