﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Rocket.Core
{
    public interface IContainerEditor<B, H, V> : IContainerViewer<B, H, V>
        where H : IHandler<V>
        where V : BaseObject
    {
        IRocketEditor<B> IRocketEditor { get; }
        bool RocketAdd();
        bool RocketUpdate();
        bool RocketDelete();
    }
}
