﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace Rocket.Core
{
    public interface IDataContainer<V, B> : ISynchronizeInvoke
        , IComponent
        , IDisposable
    {
        B RocketBindingSource
        {
            get;
            set;
        }

        void SetBindingSource(ref B raptorBindingSource);
    }
}
