﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using AutoMapper;

namespace Rocket.Core
{
    public interface IMapper<V, DTO>
        where V : BaseObject
        where DTO : class
    {
        void ForwardMap(IMappingExpression<V, DTO> mappingExpression);
        void BackwardMap(IMappingExpression<DTO, V> mappingExpression);
    }
}
