﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Rocket.Core
{
    public delegate void RocketBindingSourceSetted();
    public interface IRocketViewer<B>
    {
        event EventHandler OnRocketTaskCompleted;
        event RocketBindingSourceSetted OnRocketBindingSourceSetted;
        B RocketBindingSource { get; set; }
        void Refresh();
        void SetRocketBindingSource(ref B bindingSource);
        void RocketBindingSourceChanged(object sender, EventArgs e);
        string GroupBoxName { get; set; }
    }
}
