﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Rocket.Core;

namespace Rocket.Windows.Framework
{
    public abstract class BaseCombo : ComboBox
    {
        public BaseCombo()
        {
        }

        public virtual void LoadData<H, V>(IHandler<V> _hadler)
            where H : IHandler<V>
            where V: BaseObject
        {
            this.DataSource = _hadler.GetAll();
        }

        public abstract void LoadData();
    }
}
