﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Rocket.Core;

namespace Rocket.Windows.Framework
{
    public interface IFormDataEditor : IRocketEditor<BindingSource>
        , IDropTarget
        , IWin32Window
        , IBindableComponent
        , IDisposable, IContainerControl
    {
        string GridViewGroupBoxName { get; set; }
        string ManagerGroupBoxName { get; set; }
        void ValidateInput<V>(V bindedView)
            where V : class, new();
    }
}
